DMP_ELEMENT_DESC(3)

FUNCTION
dmp_element_desc - Dump an element descriptor to a file.

SYNOPSIS
#include <karma_dmp.h>

void dmp_element_desc

(FILE *fp, unsigned int type, char *desc, flag comments)

DESCRIPTION
This routine will dump an element descriptor to a file, writing in ASCII.

fp  The file.

type
    The type of the element.

desc
    The element descriptor. If the element is an array pointer or a linked list pointer, that descriptor will also be dumped.

comments
    If TRUE, the routine will append comments to the lines written, else it will not.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/